"use strict";
/**
 * The possible methods that can be used to fit the image.
 */
(function (ImageFit) {
    /**
     * The image is not scaled. The image is centered and cropped within the content box.
     */
    ImageFit[ImageFit["center"] = 0] = "center";
    /**
     * The image is scaled to maintain its aspect ratio while filling the frame. Portions of the image will be cropped from the top and bottom, or from the sides, depending on the difference in aspect ratio between the image and the frame.
     */
    ImageFit[ImageFit["cover"] = 1] = "cover";
    /**
     * The image is scaled to fit the frame. If the aspect ratios of the two differ, the image will appear stretched in one dimension.
     */
    ImageFit[ImageFit["scale"] = 2] = "scale";
    /**
     * Neither the image nor the frame are scaled. If their sizes do not match, the image will either be cropped or the frame will have empty space.
     */
    ImageFit[ImageFit["none"] = 3] = "none";
})(exports.ImageFit || (exports.ImageFit = {}));
var ImageFit = exports.ImageFit;

//# sourceMappingURL=Image.Props.js.map
